Netflix Error F7121-3078

If you get the error code F7121-3078 on your computer, usually with this message:

Pardon the interruption
Looks like this version of your browser is no longer supported. Please install the latest version to continue watching.

It means that the version of Mozilla Firefox you're using on your computer is no longer supported. Follow these steps to fix the problem.

Mac

If your computer is on Mac OSX 10.11 (El Capitan) or higher:

Update Firefox
  1. Select Firefox from the menu bar.

  2. Select About Firefox. This will check for updates and download any that are available.

  3. Once updates are complete, select Restart Firefox to Update.

  4. Try Netflix again.

If you encounter any issues updating Firefox, please refer to Mozilla's Update Failed support page.


If your computer is on Mac OSX 10.10 (Yosemite) or earlier:

Use Safari

Since your computer is on Mac OSX 10.10 (Yosemite) or earlier, your browser cannot be updated to a supported version. You will need to open Safari to continue watching Netflix.

Windows

If your computer is using Windows 7, Windows 8, or Windows 10:

Update Firefox
  1. Select Firefox from the menu bar.

  2. Select About Firefox. This will check for updates and download any that are available.

  3. Once updates are complete, select Restart Firefox to Update.

  4. Try Netflix again.

If you encounter any issues updating Firefox, please refer to Mozilla's Update Failed support page.


If your computer is using Windows Vista or Windows XP:

Use Internet Explorer

Since your computer is on an older version of Windows, your browser cannot be updated to a supported version. You will need to open Internet Explorer to continue watching Netflix.

Linux

Update Firefox
  1. Select Firefox from the menu bar.

  2. Select About Firefox. This will check for updates and download any that are available.

  3. Once updates are complete, select Restart Firefox to Update.

  4. Try Netflix again.

If you encounter any issues updating Firefox, please refer to Mozilla's Update Failed support page.

Note:
Due to the many configurations of Linux, Netflix customer support is unable to help with further troubleshooting issues on Linux devices.